#!/usr/bin/awk -f

BEGIN{
  JD0 = ARGV[1]+0;
  P = ARGV[2]+0;

  OFMT=CONVFMT="%.8f";
  ARGV[1]=ARGV[2]="";

  realistic_sigma = 0.001;  # day; approx 1.5 min, see minima_manual/

  print "# JD & E & OMC [day] & sigma_OMC [day] & Besselian year & dataset"
  print "# JD_0 = ", JD0
  print "# P = ", P, " day = ", P*1440., " min = ", P/365.25, " yr"
}
!/^#/ && (NF>0){
  dataset = $1;
  JD_observed = $2+2400000;
  sigma = $3;

  if (sigma < realistic_sigma) {
    sigma = realistic_sigma;
  }

  E = 1.0*(JD_observed-JD0)/P;
  E = signum(E)*1.0*int(2.*abs(E)+0.5)/2;
  JD_calculated = JD0 + E*P;
  OMC = JD_observed - JD_calculated;

  printf("%.6f   %.1f   %.6f   %.6f	%.6f	%s\n", JD_observed, E, OMC, sigma, bessel(JD_observed), dataset);
}
(NF==0){
  print
}

func abs(x) {
  if (x > 0) {
    return x;
  } else {
    return -x;
  }
}

func signum(x) {
  if (x > 0.0) {
    return 1.0;
  } else if (x < 0.0) {
    return -1.0;
  } else {
    return 0.0;
  }
}

func bessel(jd) {
#  return 2000.0 + (jd - 2451544.53) / 365.242189;
  return 1900.0 + (jd - 2415020.31352) / 365.242198781;
}


#JD = JD0 + E*P
#E = (JD-JD0)/P


