#!/usr/bin/gnuplot

day = 1440.
min = 1.

set xl "t [min]"
set yl "mag"

#set xr [-1500*min:4500*min]
tmp=0.003
set yr [:] reverse
set yr [1-tmp:1+tmp]
set zeroaxis
set samples 1000
set ang rad

T0 = 2456224.724705  # global epoch T0
T0 = 2456231.869384

T1 = 2456231.869384
P0 = 0.410
P1 = 0.005
A0 = 0.0010
A1 = 0.0001
C0 = 0.0001
C1 = -0.0001

g(MJD) = (MJD+2400000-T1)*day
h(JD) = JD-T1
f(JD) = 1. + C0 + C1*h(JD) - (A0 + A1*h(JD)) * sin(2.*pi*h(JD) / (P0+P1*h(JD)))

fit f(x) "most.v4.pmin.02.dat_EDITED" using ($1+2400000.0):2 via T1,C0,C1,A0,A1,P0,P1

print "T1 = ", T1
print "C0 = ", C0
print "C1 = ", C1
print "A0 = ", A0
print "A1 = ", A1
print "P0 = ", P0
print "P1 = ", P1

p \
  "most.v4.pmin.02.dat" u (g($1)):2 w lp,\
  "most.v4.pmin.02.dat_EDITED" u (g($1)):2 w lp,\
  f(T1+x/day) lt 3 lw 3,\
  "<echo 1 1" u (0):2 w p ps 3,\
  1. w l lt 0
  
pa -1

set term post eps enh color
set out "most.v4.pmin.02_FIT.eps"
rep

q


